Subject: Re: "error: Tweaking file descriptors doesn't work with this MSVCRT.dll" on wine

From: Karsten Blees <[email-masked]>
Date: Tue, 29 Jul 2014 21:55:39 +0200

Am 28.07.2014 12:39, schrieb Duy Nguyen:
> I know wine is kind of second citizen but is there a cheap trick to
> make it work on wine? Reverting fcd428f (Win32: fix broken pipe
> detection - 2012-03-01) could result in conflicts in compat that I'm
> not comfortable resolving. I don't have Windows at home. Wine is the
> only option for me (or if somebody has a modern.ie image for KVM, or a
> simple recipe to make one, that'd be great). "Fix wine" is not really
> an option.
> 

Have you tried using a native msvcrt.dll instead of the Wine stub?
Downloading msvcrt.dll 7.0.2600 from dll-files.com and extracting it to
~/.wine/drive_c/Windows/System32 fixed the error message for me.

(The newest versions don't work as they depend on a bunch of other
dlls that you'd need too.)